Subject: Re: Too stupid to use MinGW?
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Fri, 10 May 2002 23:56:28 +0100

Jindrich Kubec wrote in
<[email-masked]>
in gmane.os.cygwin on Fri, 10 May 2002 23:56:21 +0200:

> I have C++ app. When I compile with -mcygwin (g++), everything is fine.
> But I can't use _tcscpy, _topen and similar TCHAR functions.
> When I use -mno-cygwin, I can't use STL, it reports missing headers. When I 
> comment such part, I'm getting missing import __imp_iob.
> Is there any solution for me?

Take a look at
http://www.colomsat.net.co/freehost/ngiraldo/cppcygwin.html
for import libraries for the STL and instructions for enabling C++
MinGW STL and tchar.h support.

One point though. Instead of copying c:\cygwin\usr\include\g++-3 into
c:\cygwin\usr\include\mingw as suggested it's easier to open a bash
shell and 

cd /usr/include/mingw
ln -s ../g++-3 .

instead.

-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/